Bug 615165 - Problematic PDF
Problematic PDF
Product: Ghostscript
Classification: Unclassified
Component: PS Writer
All All
: P1 normal
Assigned To: Igor Melichev
Bug traffic
Depends on:
  Show dependency treegraph
Reported: 2002-09-26 13:00 PDT by Jack Moffitt
Modified: 2014-02-17 04:37 PST (History)
1 user (show)

See Also:
Word Size: ---


Note You need to log in before you can comment on or make changes to this bug.
Description Jack Moffitt 2002-09-26 13:00:15 PDT
Originally reported by: billbrasky@users.sourceforge.net
Attached is a PDF that is causing us problems.  It fails 
on pdf2ps with:

bash-2.05$ /usr/local/bin/pdf2ps 
F_3242388.pdf                                  Error: /undefined 
in --get--
Operand stack:
   Separation   All   DeviceCMYK   --dict:7/9(L)--   --
dict:3/3(G)--   4
Execution stack:
   %interp_exit   .runexec2   --nostringval--   --nostringval-
-   --nostringval--   2   %stopped_push   --nostringval--   
2   3   %oparray_pop   --nostringval--   --nostringval--   
false   1   %stopped_push   1   3   %oparray_pop   --
nostringval--   2   1   1   --nostringval--   %
for_pos_int_continue   --nostringval--   --nostringval--   --
nostringval--   --nostringval--   %array_continue   --
nostringval--   false   1   %stopped_push   --nostringval--
   %loop_continue   --nostringval--   --nostringval--   --
nostringval--   --nostringval--   --nostringval--   --
Dictionary stack:
   --dict:905/941(G)--   --dict:0/20(G)--   --dict:54/200(L)--
   --dict:54/200(L)--   --dict:78/127(G)--   --dict:139/152
(G)--   --dict:14/15(L)--   --dict:1/2(L)--   --dict:16/20(L)--
Current allocation mode is local

Normally, we do the following:
bash-2.05$ /usr/local/bin/gs -dNOPAUSE -dBATCH -
dSAFER -sDEVICE=pswrite -sOutputFile=test.ps -
dFirstPage=1 -dLastPage=1 -dPSBinaryOK 

And it does work, but the input file is a 1 megabyte PDF 
and the output file is a 500 megabyte ps!!  I noticed that 
the file appears to have some recursive image drawing.  
Does the ps file copy the image for each time it's 

PDF came from macintosh acrobat distiller 4.05.
Comment 1 Jack Moffitt 2002-09-26 13:01:58 PDT
Comment originally by billbrasky@users.sourceforge.net
Logged In: YES 

Ok, I couldn't attach the file.  Please download from:


Comment 2 Alex Cherepanov 2002-09-26 13:49:54 PDT
Comment originally by alexcher@users.sourceforge.net
Logged In: YES 

The sample file cannot be downloaded. I've got
  You don't have permission to access 
  /~jason/F_3242388.pdf on this server.

Please compress the file and email it to
Comment 3 Jack Moffitt 2002-09-27 11:08:32 PDT
Comment originally by billbrasky@users.sourceforge.net
Logged In: YES 

Email sent.  I attached another example of the problem 
where a 1.1MB PDF becomes a 1.7GB ps
Comment 4 Jack Moffitt 2002-10-02 07:54:18 PDT
Comment originally by jackiem@users.sourceforge.net
Logged In: YES 

Neither of these files will run run in CVS HEAD of
Ghostscript, and acrobat reader fails on them as well. 
Perhaps they were corrupted in transit.  Could you please
zip or gzip them and resend to bug-gs?
Comment 5 Jack Moffitt 2002-10-02 09:48:38 PDT
Comment originally by jackiem@users.sourceforge.net
Logged In: YES 

pswrite has many known issues and has not been updated in
some time.  While we are planning to eventually fix these
problems, it is not high on our todo list at this time. 
We'll leave this bug open at a low priority and hopefully
get this resolved at some point in the future.
Comment 6 Jack Moffitt 2002-11-06 02:29:43 PST
Comment originally by nhathaway@users.sourceforge.net
Logged In: YES 

The file ACROBAT.PDF in the standard Windows Adobe 
Acrobat Reader distribution also seems to cause a similar 

AFPL Ghostscript BETA RELEASE 7.32 (2002-11-02)
Copyright (C) 2002 artofcode LLC, Benicia, CA.  All rights 
This software comes with NO WARRANTY: see the file 
PUBLIC for details.
Processing pages 1 through 1.
Page 1
Substituting font Helvetica-Bold for AdobeCorpID-MyriadSb.
Loading NimbusSanL-Bold font from c:\program 
files\gs\fonts/n019004l.pfb... 1977824 665122 1658904 
359168 2 done.
Substituting font Times-Roman for AdobeCorpID-MinionRg.
Loading NimbusRomNo9L-Regu font from c:\program 
files\gs\fonts/n021003l.pfb... 2018016 719457 1679000 
371774 2 done.
Substituting font Helvetica-BoldOblique for AdobeCorpID-
Loading NimbusSanL-BoldItal font from c:\program 
files\gs\fonts/n019024l.pfb... 2078304 770567 1699096 
402000 2 done.
Substituting font Helvetica for AdobeCorpID-MyriadRg.
Loading NimbusSanL-Regu font from c:\program 
files\gs\fonts/n019003l.pfb... 2118496 815540 1719192 
414039 2 done.
Substituting font Helvetica-Bold for MyriadMM_565_300_.
Error: /undefined in --get--
Operand stack:
   --dict:5/5(L)--   F10   1   --dict:8/8(L)--   --dict:9/14(L)--   --
dict:8/8(L)--   0.001   --dict:9/14(L)--   FontMatrix
Execution stack:
   %interp_exit   .runexec2   --nostringval--   --nostringval--   --
nostringval--   2   %stopped_push   --nostringval--   --
nostringval--   --nostringval--   false   1   %stopped_push   1   
3   %oparray_pop   1   3   %oparray_pop   1   3   %
oparray_pop   --nostringval--   2   1   1   --nostringval--   %
for_pos_int_continue   --nostringval--   --nostringval--   --
nostringval--   --nostringval--   --nostringval--   %
array_continue   --nostringval--   false   1   %stopped_push   --
nostringval--   %loop_continue   --nostringval--   --nostringval--
   --nostringval--   --nostringval--   --nostringval--   --nostringval--
Dictionary stack:
   --dict:1043/1123(ro)(G)--   --dict:0/20(G)--   --dict:74/200(L)--
   --dict:74/200(L)--   --dict:100/127(ro)(G)--   --dict:230/230(ro)
(G)--   --dict:20/24(L)--   --dict:4/6(L)--   --dict:23/31(L)--   --
dict:13/20(L)--   --dict:3/4(L)--
Current allocation mode is local
Last OS error: No such file or directory
AFPL Ghostscript BETA RELEASE 7.32: Unrecoverable 
error, exit code 1
Comment 7 Alex Cherepanov 2003-02-20 13:28:54 PST
All issues associated with this bug have been addressed in some way.
(1) Error: /undefined in --get--
This problem has been fixed long ago. It was caused by
[/Separations/All ...]
(2) Incorrect forwarding in BBox device.
Fixed and committed to HEAD branch.
(3) I/O errors are ignored.
Opened as a new error #686741 "I/O error handling in GS or lack
thereof". This problem is not specific to pswrite.
(4) Low level PostScript generation.
Documented in Issues.htm .